Bug 124814 - Cornerstone Color 50/115sf Monitor is not listed in config.
Cornerstone Color 50/115sf Monitor is not listed in config.
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-05-30 13:43 EDT by Dwaine Garden
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.121-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-05 21:46:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Cornerstone Colour 50/115sf Monitor Specs (178.83 KB, application/pdf)
2004-06-01 19:56 EDT, Dwaine Garden
no flags Details

  None (edit)
Description Dwaine Garden 2004-05-30 13:43:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b)

Description of problem:
[root@www root]# ddcprobe

Monitor DDC probe results
ID: CRN0007
Width (mm): 400
Height(mm): 300

Here is the ddcprobe output.  Would like to have this monitor added to
the list of supported monitors.

The monitor is a Cornerstone Color 50/115sf.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Does not list the CornerStone Color 50/115sf monitor when
installing Fedora Core 2.   

Additional info:
Comment 1 Bill Nottingham 2004-06-01 01:07:59 EDT
Are there any specs at all?
Comment 2 Dwaine Garden 2004-06-01 19:56:13 EDT
Created attachment 100772 [details]
Cornerstone Colour 50/115sf Monitor Specs

The monitor specs from Cornerstone, that was requested.

Comment 3 Bill Nottingham 2004-06-01 23:51:52 EDT
Added, will be in 0.121-1.
Comment 4 Dwaine Garden 2004-06-06 12:27:05 EDT
Thank you....

Comment 5 Dwaine Garden 2004-08-05 21:25:26 EDT
I completed testing the change from the Cornerstone P1600 to the added
new entry of Cornerstone 50/115sf.   There is an entry that gets added
to xorg.conf which causes problems with the initalization of the
screen.  Here is the output of the logfile for X.

Release Date: 18 December 2003
X Protocol Version 11, Revision 0, Release 6.7
Build Operating System: Linux 2.4.21-14.ELsmp i686 [ELF] 
Current Operating System: Linux www.emuit.com 2.6.7 #8 Mon Jul 5
22:21:15 EDT 2004 i686
Build Date: 02 July 2004
Build Host: tweety.build.redhat.com
	Before reporting problems, check http://wiki.X.Org
	to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.6.7 (root@www.emuit.com) (gcc version 3.3.3
20040412 (Red Hat Linux 3.3.3-7)) #8 Mon Jul 5 22:21:15 EDT 2004 P
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/dev/null", Time: Thu Aug  5 03:44:30 2004
(++) Using config file: "/tmp/tmpxLE906xorg.config"
(EE) NV(0): No valid modes found
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at http://wiki.X.Org
 for help. 
Please also check the log file at "/dev/null" for additional information.

Now here is the xorg.conf file that cause the problem.

# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name
of the 
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	FontPath     "unix/:7100"

Section "Module"
	Load  "dbe"
	Load  "extmod"
	Load  "fbdevhw"
	Load  "glx"
	Load  "record"
	Load  "freetype"
	Load  "type1"

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:swapcaps"
# Or if you just want both to be control, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"

Section "Monitor"

 ### Uncomment if you don't want to default to DDC:
 ### Uncomment if you don't want to default to DDC:
#	HorizSync    31.0 - 117.0
#	VertRefresh  50.0 - 160.0
 ### Uncomment if you don't want to default to DDC:
#	HorizSync    31.5 - 37.9
#	VertRefresh  50.0 - 70.0
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Cornerstone Color 50/115sf"
	HorizSync    31.0 - 115.0
	HorizSync    50.0 - 160.0
	VertRefresh  1.0 - 1.0
	Option	    "dpms"

Section "Device"

	Option "NoLogo" "0"
	Option "RenderAccel" "True"
	Identifier  "Videocard0"
	Driver      "nvidia"
	VendorName  "Videocard vendor"
	BoardName   "NVIDIA GeForce FX (generic)"

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1600x1200"

Section "DRI"
	Group        0
	Mode         0666

The problem was caused by the line "VertRefresh  1.0 - 1.0".  Once I
removed that line, X started just fine.

Comment 6 Bill Nottingham 2004-08-05 21:46:25 EDT
Aha, found the typo, fixed. Will be in future builds.

Note You need to log in before you can comment on or make changes to this bug.